dnl
dnl $Id: config.m4,v 1.5 2005/12/29 15:27:57 tony2001 Exp $
dnl

PHP_ARG_ENABLE(scache, whether to enable scache support,
[  --enable-scache         Enable scache support])

if test "$PHP_SCACHE" != "no"; then

  AC_CHECK_MEMBER([struct sockaddr_storage.ss_family],
    [AC_DEFINE([HAVE_SOCKADDR_STORAGE],[1],
	  [Define to 1 if you have sockaddr_storage])],
	[],[[#include <netinet/in.h>]])

  AC_SEARCH_LIBS(socket, [socket])
  AC_SEARCH_LIBS(gethostbyname, [nsl])
  AC_CHECK_FUNCS(getaddrinfo freeaddrinfo)

  AC_CHECK_HEADERS([netinet/ip6.h])

  AC_DEFINE(HAVE_SCACHE,1,[Whether you want scache support])
  PHP_NEW_EXTENSION(scache, php-scache.c, $ext_shared)

fi
